from django.urls import path
from .import views
from .views import*

urlpatterns = [    
    
    path('current_user',views.current_user,name="current_user"),
    
    path('home',views.home,name="home"),
    path('navbar',views.navbar,name="navbar"),    
    path('ddos',views.ddos,name="ddos"),  
    path('read_tx_bytes',views.read_tx_bytes,name="read_tx_bytes"),
    
    path('processes_log',views.processes_log,name="processes_log"),
    path('variable_names',views.variable_names,name="variable_names"),
    
    #DMA
    path('dma',views.dma,name="dma"),
    path('kern_log',views.kern_log,name="kern_log"),
    path('encrypt_log',views.encrypt_log,name="encrypt_log"),
    path('address_log',views.address_log,name="address_log"),
    path('password_view', views.password_view, name='password_view'),
    path('bubble',views.bubble,name="bubble"),
    
    #malwere
    
    path('malware',views.malware,name="malware"),
    path('extract_log',views.bye_asm_log,name="extract_log"),
    path('upload-logs/', views.upload_logs, name='upload_logs'),

    
    
     #ransomware
    path('ransomware',views.ransomware,name="ransomware"),
    path('detect_log',views.detect_log,name="detect_log"),
    
    path('status/', views.get_number_status, name='get_number_status'),
    path('change_status/<int:pk>/', views.status_change, name='change_status'),
    path('changestatus', views.change_status, name='changestatus'),
    
    path('log-data/', views.get_log_data, name='get_log_data'),
    path('view-logs/', views.combined_info, name='view_logs'),
    
    # DDoS
    
    path('generate/', generate_random_values, name='generate_random_values'),
    path('fetch_ddos_value/', fetch_ddos_value, name='fetch_ddos_value'),
    
    #shadow script
    path('status1/', views.get_number_status1, name='get_number_status1'),
    path('change_status_shadow/<int:pk>/', views.change_status_shadow, name='change_status_shadow'),
    path('change_status_shadow_web/<int:pk>/', views.change_status_shadow_web, name='change_status_shadow_web'),
    
    #device2=======================================================
    
    path('status11/', views.get_number_status11, name='get_number_status2'),
    path('change_status2/<int:pk>/', views.status_change1, name='change_status2'),
    path('changestatus2', views.change_status1, name='changestatus2'),
    
    #shadow script for devic2
    path('status12/', views.get_number_status12, name='get_number_status12'),
    path('change_status_shadow2/<int:pk>/', views.change_status_shadow1, name='change_status_shadow2'),
    path('change_status_shadow_web2/<int:pk>/', views.change_status_shadow_web1, name='change_status_shadow_web2'),
    
    
    path('read_tx_bytes1',views.read_tx_bytes1,name="read_tx_bytes1"),
    path('kern_log1',views.kern_log1,name="kern_log1"),
    path('encrypt_log1',views.encrypt_log1,name="encrypt_log1"),
    path('address_log1',views.address_log1,name="address_log1"),
    
    path('log-data1/', views.get_log_data1, name='get_log_data1'),
    path('view-logs1/', views.combined_info1, name='view_logs1'),
        
    path('detect_log1',views.detect_log1,name="detect_log1"),  
    path('processes_log1',views.processes_log1,name="processes_log1"),
    path('extract_log1',views.bye_asm_log1,name="extract_log1"),
    
  
    # Ddos mysql status check
    path('sql-status/', SqlStatusView.as_view(), name='sql-status'),
    path('sql_status_info/', sql_status_info, name='sql_status_info'),
    
    path('restore-database/', restore_database, name='restore-database'),
    path('restore_database_default/', restore_database_default, name='restore_database_default'),
    path('check-restore-value/', check_restore_value, name='check-restore-value'),
    path('check-restore-value1/', check_restore_value1, name='check-restore-value1'),

    #predictions
    path('upload-csv/', views.upload_csv, name='upload_csv'),
    path('ransomware-predictions/', views.ransomware_predictions, name='ransomware_predictions'),
    path('ransomware-type-predictions/', views.ransomware_type_predictions, name='ransomware_type_predictions'),
    path('ddos-predictions/', views.ddos_predictions, name='ddos_predictions'),
    # path('dma-predictions/', views.dma_predictions, name='dma_predictions'),
    # path('view-ransomware-predictions/', views.view_ransomware_predictions, name='view_ransomware_predictions'),
    # path('view-ddos-predictions/', views.view_ddos_predictions, name='view_ddos_predictions'),
    # path('view-malware-bytes-predictions-xgb/', views.view_malware_bytes_predictions_XGB, name='view_malware_bytes_predictions_XGB'),
    # path('view-malware-bytes-predictions-sgd/', views.view_malware_bytes_predictions_SGD, name='view_malware_bytes_predictions_SGD'),
    # path('view-malware-bytes-predictions-randomforest/', views.view_malware_bytes_predictions_RandomForest, name='view_malware_bytes_predictions_RandomForest'),
    # path('view-malware-bytes-predictions-kneighbours/', views.view_malware_bytes_predictions_KNeighbours, name='view_malware_bytes_predictions_KNeighbours'),
    # path('view-malware-asm-predictions-xgb/', views.view_malware_ASM_predictions_XGB, name='view_malware_ASM_predictions_XGB'),
    # path('view-malware-asm-predictions-logisticregression/', views.view_malware_ASM_predictions_LogisticRegression, name='view_malware_ASM_predictions_LogisticRegression'),
    # path('view-malware-asm-predictions-randomforest/', views.view_malware_ASM_predictions_RandomForest, name='view_malware_ASM_predictions_RandomForest'),
    # path('view-malware-asm-predictions-kneighbours/', views.view_malware_ASM_predictions_KNeighbours, name='view_malware_ASM_predictions_KNeighbours'),
    path('malware-bytes-predictions-xgb/', views.malware_bytes_predictions_XGB, name='malware_bytes_predictions_XGB'),
    path('malware-bytes-predictions-sgd/', views.malware_bytes_predictions_SGD, name='malware_bytes_predictions_SGD'),
    path('malware-bytes-predictions-randomforest/', views.malware_bytes_predictions_RandomForest, name='malware_bytes_predictions_RandomForest'),
    path('malware-bytes-predictions-kneighbours/', views.malware_bytes_predictions_KNeighbours, name='malware_bytes_predictions_KNeighbours'),
    path('malware-asm-predictions-xgb/', views.malware_ASM_predictions_XGB, name='malware_ASM_predictions_XGB'),
    path('malware-asm-predictions-logisticregression/', views.malware_ASM_predictions_LogisticRegression, name='malware_ASM_predictions_LogisticRegression'),
    path('malware-asm-predictions-randomforest/', views.malware_ASM_predictions_RandomForest, name='malware_ASM_predictions_RandomForest'),
    path('malware-asm-predictions-kneighbours/', views.malware_ASM_predictions_KNeighbours, name='malware_ASM_predictions_KNeighbours'),

    path('usage_log/', views.usage_log, name='log_usage'),

]
